
package net.mcreator.sebmod.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.Items;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BucketItem;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.Component;

import net.mcreator.sebmod.init.SebModModTabs;
import net.mcreator.sebmod.init.SebModModFluids;

import java.util.List;

public class DirtyWaterItem extends BucketItem {
	public DirtyWaterItem() {
		super(SebModModFluids.DIRTY_WATER,
				new Item.Properties().craftRemainder(Items.BUCKET).stacksTo(1).rarity(Rarity.COMMON).tab(SebModModTabs.TAB_SEB_MOD));
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(new TextComponent("Eh... Dirty"));
	}
}
